import initReplicationStateTable from './init-replication-state-table';

const setReplicationIterator = async (pool, iterator) => {
  const {
    executeStatement,
    escapeId,
    escape,
    databaseName
  } = pool;
  const replicationStateTableName = await initReplicationStateTable(pool);
  const databaseNameAsId = escapeId(databaseName);
  await executeStatement(`UPDATE ${databaseNameAsId}.${escapeId(replicationStateTableName)} 
    SET
      "Iterator" = ${escape(iterator != null ? JSON.stringify(iterator) : 'null')}`);
};

export default setReplicationIterator;
//# sourceMappingURL=set-replication-iterator.js.map