import initReplicationStateTable from './init-replication-state-table';

const setReplicationPaused = async (pool, pause) => {
  const {
    executeStatement,
    escapeId,
    databaseName
  } = pool;
  const replicationStateTableName = await initReplicationStateTable(pool);
  const databaseNameAsId = escapeId(databaseName);
  await executeStatement(`UPDATE ${databaseNameAsId}.${escapeId(replicationStateTableName)} 
    SET "IsPaused" = ${pause ? `TRUE` : 'FALSE'}`);
};

export default setReplicationPaused;
//# sourceMappingURL=set-replication-paused.js.map