import { ReplicationAlreadyInProgress } from '@resolve-js/eventstore-base';
import initReplicationStateTable from './init-replication-state-table';

const setReplicationStatus = async (pool, status, statusData, lastEvent) => {
  const {
    executeStatement,
    escapeId,
    escape,
    databaseName
  } = pool;
  const replicationStateTableName = await initReplicationStateTable(pool);
  const databaseNameAsId = escapeId(databaseName);
  const batchInProgress = 'batchInProgress';
  const rows = await executeStatement(`UPDATE ${databaseNameAsId}.${escapeId(replicationStateTableName)} 
    SET
      "Status" = ${escape(status)},
      "StatusData" = ${statusData != null ? escape(JSON.stringify(statusData)) : 'NULL'}
      ${lastEvent != null ? `, "SuccessEvent" = ${escape(JSON.stringify(lastEvent))}` : ``} ${status === batchInProgress ? `WHERE "Status" != ${escape(batchInProgress)}` : ``} RETURNING "Status"`);

  if (rows.length !== 1) {
    throw new ReplicationAlreadyInProgress();
  }
};

export default setReplicationStatus;
//# sourceMappingURL=set-replication-status.js.map