"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _eventstoreBase = require("@resolve-js/eventstore-base");

var _resourceErrors = require("./resource-errors");

const freeze = async ({
  executeStatement,
  databaseName,
  eventsTableName,
  escapeId
}) => {
  const databaseNameAsId = escapeId(databaseName);
  const freezeTableNameAsId = escapeId(`${eventsTableName}-freeze`);

  try {
    await executeStatement(`CREATE TABLE ${databaseNameAsId}.${freezeTableNameAsId} (
      "surrogate" BIGINT NOT NULL,
      PRIMARY KEY("surrogate")
    );
    COMMENT ON TABLE ${databaseNameAsId}.${freezeTableNameAsId}
    IS 'RESOLVE EVENT STORE ${freezeTableNameAsId} FREEZE MARKER';
    `);
  } catch (error) {
    if ((0, _resourceErrors.isAlreadyExistsError)(error)) throw new _eventstoreBase.EventstoreAlreadyFrozenError();else throw error;
  }
};

var _default = freeze;
exports.default = _default;
//# sourceMappingURL=freeze.js.map