"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const injectSecret = async ({
  databaseName,
  escapeId,
  escape,
  secretsTableName,
  executeStatement
}, {
  id,
  secret
}) => {
  const databaseNameAsId = escapeId(databaseName);
  const secretsTableAsId = escapeId(secretsTableName);
  await executeStatement(`INSERT INTO ${databaseNameAsId}.${secretsTableAsId}(
      "id",
      "secret"
    ) VALUES(
      ${escape(id)},
      ${secret != null ? escape(secret) : 'NULL'}
    )`);
};

var _default = injectSecret;
exports.default = _default;
//# sourceMappingURL=inject-secret.js.map