"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const removeEventSubscriber = async (pool, params) => {
  const {
    subscribersTableName,
    databaseName,
    executeStatement,
    escapeId,
    escape
  } = pool;
  const {
    applicationName,
    eventSubscriber
  } = params;
  const databaseNameAsId = escapeId(databaseName);
  const subscribersTableNameAsId = escapeId(subscribersTableName);
  await executeStatement(`
    DELETE FROM ${databaseNameAsId}.${subscribersTableNameAsId}
    WHERE "applicationName" = ${escape(applicationName)}
    AND "eventSubscriber" = ${escape(eventSubscriber)}
  `);
};

var _default = removeEventSubscriber;
exports.default = _default;
//# sourceMappingURL=remove-event-subscriber.js.map