"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _pg = require("pg");

var _escapeId = _interopRequireDefault(require("../escape-id"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Note: this file is used only in tests for automatic schema creation
const create = async options => {
  const {
    databaseName,
    // eslint-disable-next-line prefer-const
    ...connectionOptions
  } = options;
  const connection = new _pg.Client({ ...connectionOptions
  });
  await connection.connect();
  await connection.query(`CREATE SCHEMA ${(0, _escapeId.default)(databaseName)}`);
  await connection.end();
};

var _default = create;
exports.default = _default;
//# sourceMappingURL=create.js.map