"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _initReplicationStateTable = _interopRequireDefault(require("./init-replication-state-table"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const setReplicationIterator = async (pool, iterator) => {
  const {
    executeStatement,
    escapeId,
    escape,
    databaseName
  } = pool;
  const replicationStateTableName = await (0, _initReplicationStateTable.default)(pool);
  const databaseNameAsId = escapeId(databaseName);
  await executeStatement(`UPDATE ${databaseNameAsId}.${escapeId(replicationStateTableName)} 
    SET
      "Iterator" = ${escape(iterator != null ? JSON.stringify(iterator) : 'null')}`);
};

var _default = setReplicationIterator;
exports.default = _default;
//# sourceMappingURL=set-replication-iterator.js.map