"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _eventstoreBase = require("@resolve-js/eventstore-base");

var _initReplicationStateTable = _interopRequireDefault(require("./init-replication-state-table"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const setReplicationStatus = async (pool, status, statusData, lastEvent) => {
  const {
    executeStatement,
    escapeId,
    escape,
    databaseName
  } = pool;
  const replicationStateTableName = await (0, _initReplicationStateTable.default)(pool);
  const databaseNameAsId = escapeId(databaseName);
  const batchInProgress = 'batchInProgress';
  const rows = await executeStatement(`UPDATE ${databaseNameAsId}.${escapeId(replicationStateTableName)} 
    SET
      "Status" = ${escape(status)},
      "StatusData" = ${statusData != null ? escape(JSON.stringify(statusData)) : 'NULL'}
      ${lastEvent != null ? `, "SuccessEvent" = ${escape(JSON.stringify(lastEvent))}` : ``} ${status === batchInProgress ? `WHERE "Status" != ${escape(batchInProgress)}` : ``} RETURNING "Status"`);

  if (rows.length !== 1) {
    throw new _eventstoreBase.ReplicationAlreadyInProgress();
  }
};

var _default = setReplicationStatus;
exports.default = _default;
//# sourceMappingURL=set-replication-status.js.map