"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _eventstoreBase = require("@resolve-js/eventstore-base");

var _resourceErrors = require("./resource-errors");

const unfreeze = async ({
  executeStatement,
  databaseName,
  eventsTableName,
  escapeId
}) => {
  const databaseNameAsId = escapeId(databaseName);
  const freezeTableNameAsId = escapeId(`${eventsTableName}-freeze`);

  try {
    await executeStatement(`DROP TABLE ${databaseNameAsId}.${freezeTableNameAsId}`);
  } catch (error) {
    if ((0, _resourceErrors.isNotExistError)(error)) throw new _eventstoreBase.EventstoreAlreadyUnfrozenError();else throw error;
  }
};

var _default = unfreeze;
exports.default = _default;
//# sourceMappingURL=unfreeze.js.map